Subject: Re: [PATCH 2/2] cpc925_edac: support single-processor configurations

From: Segher Boessenkool <[email-masked]>
Date: Sat, 21 May 2011 15:45:41 +0200

> If second CPU is not enabled, CPC925 EDAC driver will spill out 
> warnings
> about errors on second Processor Interface. Support masking that out,
> by detecting at runtime which CPUs are present in device tree.

That doesn't quite work, there can be multiple CPUs per processor 
interface.
You should be able to see which interfaces are enabled in some CPC925 
register,
but maybe both _are_ enabled on your system (although one is not 
connected),
which is causing the errors?

Segher